
Name: openfusion-release
Summary: Open Fusion yum repository configuration
Version: 0.8
Release: 2.of%{dist}
Source: %{name}-%{version}.tar.gz
License: GPL
URL: http://www.openfusion.net/
Group: System Environment/Base
Vendor: Open Fusion
BuildArch: noarch
Requires: yum
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot

%description
This package contains configuration files for the Open Fusion Enterprise
Linux yum repositories.

%prep
%setup

%build

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
mkdir -p %{buildroot}/etc/yum.repos.d
mkdir -p %{buildroot}/etc/pki/rpm-gpg
install -m0644 openfusion.repo %{buildroot}/etc/yum.repos.d
%if %rhel >= 4
perl -i -pe 's/\$releasever/%rhel/' %{buildroot}/etc/yum.repos.d/openfusion.repo
%endif
install -m0644 RPM-GPG-KEY-openfusion %{buildroot}/etc/pki/rpm-gpg

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) /etc/yum.repos.d/openfusion.repo
/etc/pki/rpm-gpg/RPM-GPG-KEY-openfusion

%changelog
* Mon Feb 28 2022 - Gavin Carr <gavin@openfusion.net> - 0.8-2
- Tweak repo paths in openfusion.repo.

* Mon Dec 06 2021 - Gavin Carr <gavin@openfusion.net> - 0.8-1
- Bump to version 0.8 for RHEL 8.

* Mon Jul 14 2014 - Gavin Carr <gavin@openfusion.net> - 0.7-1
- Bump to version 0.7 for RHEL/CentOS 7.

* Sun Sep 23 2012 - Gavin Carr <gavin@openfusion.net> - 0.6.2-1
- Remove trailing RPMS.of from baseurl (now using creepo).

* Sun Sep 23 2012 - Gavin Carr <gavin@openfusion.net> - 0.6-1
- Move root from www.openfusion.com.au/mrepo to repo.openfusion.net.

* Wed May 25 2011 - Gavin Carr <gavin@openfusion.net> - 0.5-1
- Replace $releasever at build time, for better compatibility with rhel.

* Fri Nov 05 2010 - Gavin Carr <gavin@openfusion.net> - 0.4-1
- Add ofplus repository, for packages that upgrade base.

* Wed Jun 20 2007 - Gavin Carr <gavin@openfusion.net> - 0.3-1
- Change RPMS location to RPMS.of, as part of centos5 migration.

